## fiaif 1.19.2

=== Makefile ===
# Makefile for FIAIF 
# Version: $Id: Makefile,v 1.128 2004/02/25 22:57:43 afu Exp $
#
# Copyright (C) 2002 Anders Peter Fugmann <anders at fugmann dot dhs dot org>
# This package comes with ABSOLUTELY NO WARRANTY
# Use strictly at your own risk.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

INSTALL_SRC_PATH=/usr/share/fiaif
INSTALL_DOC_PATH=/usr/share/doc/fiaif
INSTALL_CONF_PATH=/etc/fiaif
INSTALL_INIT_PATH=/etc/init.d
INSTALL_MAN_PATH=/usr/share/man/man
INSTALL_PROG_PATH=/usr/sbin
INSTALL_CRON_PATH=/etc/cron.daily/

HTML_PATH=/home/afu/fiaif
DIST_PATH=$(HTML_PATH)/dist
BETA_PATH=$(HTML_PATH)/beta

SRC_PATH=src/
CONF_PATH=conf/
MAN_PATH=man
DOC_PATH=doc/
PROG_PATH=prog/
CRON_PATH=cron

INITD_LEVEL=09
INIT_FILE=fiaif
CRON_FILE=fiaif.cron

FAQ=doc/faq.txt
CHANGELOG=changelog
DOC_FILES=$(CHANGELOG) debian/copyright doc/DHCP.txt \
	doc/reporting_bugs.txt doc/upgrade.txt

CONF_FILES=fiaif.conf zone.int zone.ext zone.dmz \
	reserved_networks private_networks \
	type_of_services aliases

VERSION:=$(shell head -n1 changelog | cut -d" " -f 3)
DEB_VERSION:=$(shell VER=$$(head -n1 debian/changelog | sed "s/.*(\(.*\)).*/\1/g"); \
	            if [[ $$VER == $(VERSION)* ]]; then echo $$VER; \
                    else echo $(VERSION)-1; fi)
SPEC_VERSION:=$(shell VER=$$(grep "Version" fiaif.spec | cut -f 2); \
		     REL=$$(grep "Release" fiaif.spec | cut -f 2); \
	            if [[ $$VER == "$(VERSION)" ]]; then echo "$$VER-$$REL"; \
                    else echo "$(VERSION)-1"; fi)

.PHONY: install uninstall install-config install-initd \
	clean all dist debian tar rpm html fiaif.ps

all: install install-initd

install: VERSION fiaif.ps
	install -d $(DESTDIR)/$(INSTALL_SRC_PATH) 
	install -d $(DESTDIR)/$(INSTALL_DOC_PATH) 
	install -m 700 -d $(DESTDIR)/$(INSTALL_CONF_PATH) 
	install -d $(DESTDIR)/$(INSTALL_INIT_PATH)
	install -d $(DESTDIR)/$(INSTALL_MAN_PATH)5
	install -d $(DESTDIR)/$(INSTALL_MAN_PATH)8
	install -d $(DESTDIR)/$(INSTALL_PROG_PATH)
	install -d $(DESTDIR)/var/lib/fiaif
	install -d $(DESTDIR)/var/lock/subsys
	install -d $(DESTDIR)/$(INSTALL_CRON_PATH)

	install -m 644 $(SRC_PATH)/*sh $(DESTDIR)/$(INSTALL_SRC_PATH) 
	install -m 644 $(SRC_PATH)/*awk $(DESTDIR)/$(INSTALL_SRC_PATH) 
	install -m 644 $(DOC_FILES) $(DESTDIR)/$(INSTALL_DOC_PATH)
	[ -f fiaif.ps ] && \
		gzip -9 -c fiaif.ps > $(DESTDIR)/$(INSTALL_DOC_PATH)/fiaif.ps.gz || echo ok
	gzip -9 -c changelog >  $(DESTDIR)/$(INSTALL_DOC_PATH)/changelog.gz
	install -m 644 $(MAN_PATH)/*.8 $(DESTDIR)/$(INSTALL_MAN_PATH)8/
	install -m 644 $(MAN_PATH)/*.5 $(DESTDIR)/$(INSTALL_MAN_PATH)5/
	install -m 755 $(PROG_PATH)/$(INIT_FILE) $(DESTDIR)/$(INSTALL_INIT_PATH)
	install -m 755 $(PROG_PATH)/fiaif-* $(DESTDIR)/$(INSTALL_PROG_PATH)
	install -m 644 VERSION $(DESTDIR)/$(INSTALL_SRC_PATH) 
	rm -f $(DESTDIR)/var/lib/fiaif/iptables

	install -m 755 $(CRON_PATH)/fiaif $(DESTDIR)/$(INSTALL_CRON_PATH)

install-initd: 
	if [[ -d $(DESTDIR)/etc/rcS.d/ ]] ; then \
		if [[ ! -f $(DESTDIR)/etc/rcS.d/S$(INITD_LEVEL)$(INIT_FILE) ]]; then \
			ln -sf ../init.d/$(INIT_FILE) $(DESTDIR)/etc/rcS.d/S$(INITD_LEVEL)$(INIT_FILE) ; \
		fi \
	elif [[ -d $(DESTDIR)/etc/init.d/ && ! -L $(DESTDIR)/etc/init.d ]]; then \
		if [[ ! -f $(DESTDIR)/etc/init.d/rc3.d/S$(INITD_LEVEL)$(INIT_FILE) ]]; then \
			ln -sf ../init.d/$(INIT_FILE) $(DESTDIR)/etc/init.d/rc3.d/S$(INITD_LEVEL)$(INIT_FILE) ; \
			ln -sf ../init.d/$(INIT_FILE) $(DESTDIR)/etc/init.d/rc5.d/S$(INITD_LEVEL)$(INIT_FILE) ; \
		fi \
	elif [[ -d $(DESTDIR)/etc/rc.d/ ]]; then \
		if [[ ! -f $(DESTDIR)/etc/rc.d/rc3.d/S$(INITD_LEVEL)$(INIT_FILE) ]]; then \
			ln -sf ../init.d/$(INIT_FILE) $(DESTDIR)/etc/rc.d/rc3.d/S$(INITD_LEVEL)$(INIT_FILE) ; \
			ln -sf ../init.d/$(INIT_FILE) $(DESTDIR)/etc/rc.d/rc5.d/S$(INITD_LEVEL)$(INIT_FILE) ; \
		fi \
	fi

install-config: 
	install -m 600 --backup --suffix ".orig" $(addprefix $(CONF_PATH), $(CONF_FILES)) $(DESTDIR)$(INSTALL_CONF_PATH)

uninstall:
	$(RM) -r $(DESTDIR)/$(INSTALL_DOC_PATH)
	$(RM) $(DESTDIR)/$(INSTALL_INIT_PATH)/$(INIT_FILE)
	$(RM) -r $(DESTDIR)/$(CONF_PATH)	
	$(RM) $(DESTDIR)/etc/rc?.d/S$(LEVEL)$(INIT_FILE)

html: fiaif.ps
	cvs update -d -P
	install -d $(HTML_PATH)/img
	install -d $(HTML_PATH)/dist
	install -d $(HTML_PATH)/beta
	install -d $(HTML_PATH)/man
	install -d $(HTML_PATH)/conf

	install -m 644 $(FAQ) $(HTML_PATH)
	install -m 644 html/favicon.ico $(HTML_PATH)
	install -m 644 html/*php $(HTML_PATH)/
	install -m 644 html/img/*png $(HTML_PATH)/img

	install -m 644 $(addprefix $(CONF_PATH), $(CONF_FILES)) $(HTML_PATH)/conf	
	for manpage in $(MAN_PATH)/*{5,8}; do \
		groff -man -Thtml $$manpage > $(HTML_PATH)/$$manpage.html; \
	done	

	install -m 644 fiaif.ps $(HTML_PATH)
	$(MAKE) -C doc/fiaif html HTML_DIR=$(HTML_PATH)/doc

fiaif.ps:
	$(MAKE) -C doc/fiaif fiaif.ps
	cp doc/fiaif/fiaif.ps . 

deb: VERSION 
	fakeroot dpkg-buildpackage
	rm -fr debian/fiaif

rpm: tar VERSION
# RedHat is more than fucked up. It cannot make packages in `pwd`,
# but need to do it in /usr/src/rpm....
	cp ../fiaif_$(VERSION).tar.gz /usr/src/rpm/SOURCES/fiaif_$(VERSION).tar.gz
	rpm -ba --rmsource --clean fiaif.spec
	mv /usr/src/rpm/RPMS/noarch/fiaif-$(SPEC_VERSION).noarch.rpm ../fiaif_$(SPEC_VERSION).noarch.rpm
	mv /usr/src/rpm/SRPMS/fiaif-$(SPEC_VERSION).src.rpm ../fiaif_$(SPEC_VERSION).src.rpm

tar: clean VERSION fiaif.ps 
	cd ..; find fiaif -type d -name CVS > /tmp/cvs_exclude
	cd ..; find fiaif -type f -name .cvsignore >> /tmp/cvs_exclude
	echo fiaif/html >> /tmp/cvs_exclude
	echo update_changelog.sh >> /tmp/cvs_exclude
	cd ..; tar zcf fiaif_$(VERSION).tar.gz -X /tmp/cvs_exclude fiaif/* 
	tar zxf ../fiaif_$(VERSION).tar.gz --directory debian
	mv debian/fiaif debian/fiaif-$(VERSION)
	cd debian; tar zcf ../../fiaif_$(VERSION).tar.gz fiaif-$(VERSION)/*
	rm -fr debian/fiaif-$(VERSION)
	rm -f /tmp/cvs_exclude

VERSION: $(CHANGELOG)
	./update_changelog.sh
	echo $(VERSION) > VERSION 

dist: clean tar deb rpm html VERSION
	cvs tag -F "Fiaif-$$(echo $(VERSION) | sed s/\\\./_/g)"
	install -m 644 ../fiaif_$(DEB_VERSION).dsc $(DIST_PATH)
	install -m 644 ../fiaif_$(DEB_VERSION)_all.deb $(DIST_PATH)
	install -m 644 ../fiaif_$(DEB_VERSION)_i386.changes $(DIST_PATH)
	install -m 644 ../fiaif_$(SPEC_VERSION).noarch.rpm $(DIST_PATH)
	install -m 644 ../fiaif_$(SPEC_VERSION).src.rpm $(DIST_PATH)
	install -m 644 ../fiaif_$(VERSION).tar.gz $(DIST_PATH)

	cd $(DIST_PATH); apt-ftparchive packages . | gzip > Packages.gz
	cd $(DIST_PATH); apt-ftparchive sources . | gzip > Sources.gz

	echo "$(VERSION)" > $(HTML_PATH)/VERSION
	echo "$(DEB_VERSION)" > $(HTML_PATH)/DEB_VERSION
	echo "$(SPEC_VERSION)" > $(HTML_PATH)/SPEC_VERSION
	install -m 644 $(CHANGELOG) $(HTML_PATH)/

	rm -f $(DIST_PATH)/LATEST-IS-*
	touch $(DIST_PATH)/LATEST-IS-$(VERSION)

	cd $(DIST_PATH)/; md5sum fiaif* > md5sums

beta: clean tar deb rpm html VERSION
	install -m 644 ../fiaif_$(DEB_VERSION).dsc $(BETA_PATH)
	install -m 644 ../fiaif_$(DEB_VERSION)_all.deb $(BETA_PATH)
	install -m 644 ../fiaif_$(DEB_VERSION)_i386.changes $(BETA_PATH)
	install -m 644 ../fiaif_$(SPEC_VERSION).noarch.rpm $(BETA_PATH)
	install -m 644 ../fiaif_$(SPEC_VERSION).src.rpm $(BETA_PATH)
	install -m 644 ../fiaif_$(VERSION).tar.gz $(BETA_PATH)

	cd $(BETA_PATH); apt-ftparchive packages . | gzip -9c > Packages.gz
	cd $(BETA_PATH); apt-ftparchive sources . | gzip -9c > Sources.gz

	install -m 644 $(CHANGELOG) $(HTML_PATH)/

	rm -f $(BETA_PATH)/LATEST-IS-*
	touch $(BETA_PATH)/LATEST-IS-$(VERSION)

	cd $(BETA_PATH)/; md5sum fiaif* > md5sums

clean:
	$(MAKE) -C doc/fiaif clean
	find . -name \*~ | xargs rm -f  
	$(RM) ../fiaif_*
	$(RM) -r debian/fiaif 
	$(RM) -r debian/fiaif_$(VERSION)
	$(RM) debian/*debhelper debian/files debian/*substvars 
	$(RM) /usr/src/rpm/SOURCES/* /usr/src/rpm/RPMS/noarch/*
	$(RM) fiaif.ps
	$(RM) VERSION
	$(RM) build-stamp

=== doc/Makefile ===
#*****************************************************************************
# Contains              :  Makefile for CVS documentation
# Requires              :  none     
# Source		:  $Source: /var/lib/cvs/fiaif/fiaif/doc/Makefile,v $
# Revision              :  $Revision: 1.1 $
# Author                :  $Author: afu $
#*****************************************************************************

#list all the files that the docuemnt depends on here.
TEX_NAMES	= iptables
FIGURE_NAMES	= 

FIG_FILES	= $(addsuffix .fig, $(FIGURE_NAMES))
EPS_FILES	= $(addsuffix .eps, $(FIGURE_NAMES))
TEX_FILES	= $(addsuffix .tex, $(TEX_NAMES))

FILES		= $(TEX_FILES) $(EPS_FILES)

MAIN		= main

.PHONY:	all view bib dvi ps


all: dvi

view:	ps
	xdvi $(MAIN).dvi	

bib:	
	@bibtex $(MAIN)

dvi:	$(FILES)
	@latex  $(MAIN).tex
	@latex  $(MAIN).tex

ps: 	dvi 
	@dvips -o $(MAIN).ps $(MAIN).dvi 

print: dvi	 
	@dvips $(MAIN).dvi 

%.eps:	%.fig
	fig2dev -L eps $< > $@

clean:
	rm -f $(MAIN).ps
	rm -f *.dvi
	rm -f *.aux
	rm -f *.toc
	rm -f *.lof
	rm -f *~
	rm -f \#*\#
	rm -f *.log
	rm -f $(EPS_FILES)

=== doc/fiaif/Makefile ===
#############################################################
# Makefile to latex files                                   #
# Thanks to http://www.light.utoronto.ca/stok/linux.html    #
#                                                           #
# $Source: /var/lib/cvs/fiaif/fiaif/doc/fiaif/Makefile,v $  #
# $Revision: 1.12 $                                          #
# $Author: afu $                                            #
#############################################################

COMPILER = latex
.SUFFIXES: .dia .fig .eps .latex .gnuplot .pdf .pstex .ps .tex .bbl .ind .aux
.PHONY: xdvi pdf ps gv print dvi spell clean view html dvihelper conffiles

TARGET = fiaif

TEXFILES = preface introduction layout iptables \
	   main rules firewall conclusion related conffiles usage \
	   configuration 

FIGS = fig/zones

BIBFILE = main

conffiles: 
	rm -fr conf
	mkdir conf
	cp ../../conf/private_networks conf/private-networks
	cp ../../conf/reserved_networks conf/reserved-networks
	cp ../../conf/type_of_services conf/type-of-services


$(TARGET).dvi: psheader.tex $(addsuffix .eps, $(FIGS)) \
	       $(addsuffix .tex, $(TEXFILES)) ${MISC_FILES} $(BIBFILE).bib \
		conffiles
	cat psheader.tex main.tex > $(TARGET).tex 
	make dvihelper
	rm -fr conf


$(TARGET).pdf: pdfheader.tex $(addsuffix .eps, $(FIGS)) \
	       $(addsuffix .tex, $(TEXFILES))  ${MISC_FILES} $(BIBFILE).bib \
		conffiles
	cat pdfheader.tex main.tex > $(TARGET).tex 
	make dvihelper
	dvipdft -e -p a5 -r 1200 -o $(TARGET).pdf $(TARGET).dvi

dvihelper: $(addsuffix .eps, $(FIGS)) $(addsuffix .tex, $(TEXFILES)) \
	   ${MISC_FILES} fiaif.tex
	${COMPILER} $(TARGET).tex
	bibtex $(TARGET)
	makeindex $(TARGET)
	${COMPILER} $(TARGET).tex 
	if grep "Rerun" $(TARGET).log > /dev/null || \
	   grep "undefined references" $(TARGET).log; then \
		${COMPILER} $(TARGET).tex; \
	fi


html: $(TARGET).dvi
	latex2html -split +2 -scalable_fonts -info "" \
                   -local_icons -html_version 4.0,math \
                   -dir $(HTML_DIR) $(TARGET).tex > /dev/null

xdvi: $(TARGET).dvi
	xdvi $(TARGET)&

pdf: $(TARGET).pdf
	acroread $(TARGET).pdf & 

ps: $(TARGET).ps

print: $(TARGET).dvi
	dvips -f $(TARGET) | psbook | pstops "2:0L(1h,0)+1L(1h,.5h)" |lpr

view: gv

gv: $(TARGET).ps
	gv $(TARGET).ps

dvi: $(TARGET).dvi


.tex.aux: $(basename $<).tex
	${COMPILER} $<

.bib.bbl: $(basename $<).aux
	bibtex $<

.idx.ind: $(basename $<)
	makeindex $<

.dvi.ps: 
	dvips $< -o $@

.fig.latex:
	fig2dev -L latex $< $@

.fig.eps:
	fig2dev -L eps $< $@

.dia.eps:
	dia  --nosplash --export=$@ $< 

.gnuplot.latex:
	gnuplot $<

.gnuplot.eps:
	gnuplot $<

.eps.pdf:
	epstopdf $<

.fig.pstex:
	fig2dev -L pstex $< $@; \
	fig2dev -L pstex_t -p $(notdir $(basename $<)).pstex $< $(notdir $(basename $@)).pstex_t

.gnuplot.pstex:
	gnuplot $< ; \
	mv $(notdir $(basename $<)).ps $(notdir $(basename $<)).pstex ; \
	sed -e "s/psfile=\(.*\)ps/psfile=\1pstex/" \
		$(notdir $(basename $<)).pstex_t > temp.pstex_t ; \
	mv temp.pstex_t $(notdir $(basename $<)).pstex_t

.pstex.pdf:
	epstopdf $<; \
	sed -e "s/\\special{psfile=\(.*\)pstex/\\pdfimage{\1pdf/" \
		$(notdir $(basename $<)).pstex_t > temp.pstex_t;\
	mv temp.pstex_t $(notdir $(basename $<)).pstex_t

.gnuplot.pdf:
	gnuplot $< ; \
	epstopdf $(notdir $(basename $<)).ps ; \
	grep "psfile=" $(notdir $(basename $<)).pstex_t | \
	sed -e '1i\' -e '\\begin{picture}(0,0)' \
		-e '1a\' -e '\\end{picture}' \
		-e "s/\\special{psfile=\(.*\)ps.*}/\\pdfimage{\1pdf}/" \
		> temp1 ;\
	sed -e "/psfile=/d"  $(notdir $(basename $<)).pstex_t > temp2 ;\
	cat temp1 temp2 > $(notdir $(basename $<)).pstex_t ;\
	rm temp1 temp2

.PHONY: clean

clean:
	rm -f *.dvi *.log *.bak *.aux *.bbl *.blg *.ps *.pdf *.latex \
	*.pstex *.pstex_t *.toc fiaif.ps *.idx *.ind *.ilg
	rm -fr conf
	find . -name \*~ | xargs rm -f
	find . -name \*.eps | xargs rm -f

## fiaif 1.20.1

=== src/ui/Makefile ===
########################################################################
# Final Thesis
#
# Makefile for simulator
# Source   :  $RCSfile: Makefile,v $
#
# To change the scheduling algorithem used, 
# modify the SCHEDULER variable below.
#
# Anders Fugmann.
# 
#######################################################################

CFLAGS = -O2 -Wall -g 

TARGET = fiaif-ui

FILES = main 

SRCS = $(addsuffix .c, $(FILES)) 

OBJS = $(addsuffix .o, $(FILES))

LIBS = -lncurses
.PHONY: all dep clean

all: $(TARGET) 

$(TARGET): $(OBJS) Makefile
	gcc $(LIBS) -o $(TARGET) $(OBJS)

.cc.o:
	g++ $(CFLAGS) -c -o $@ $<
.c.o:
	gcc $(CFLAGS) -c -o $@ $<

dep: 
	gccmakedep $(SRCS) 

clean:
	rm -f *o *~ $(TARGET) core Makefile.bak

## fiaif 1.21.1

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,7 @@
 SPEC_VERSION:=$(shell VER=$$(grep "Version" fiaif.spec | cut -f 2); \
 		     REL=$$(grep "Release" fiaif.spec | cut -f 2); \
 	            if [[ $$VER == "$(VERSION)" ]]; then echo "$$VER-$$REL"; \
-                    else echo "$(VERSION)-1"; fi)
+                    else echo "$(VERSION)-0.1"; fi)
 
 .PHONY: install uninstall install-config install-initd \
 	clean all dist debian tar rpm html fiaif.ps
@@ -119,7 +119,7 @@
 	$(RM) $(DESTDIR)/etc/rc?.d/S$(LEVEL)$(INIT_FILE)
 
 html: fiaif.ps
-	cvs update -d -P
+#cvs update -d -P
 	install -d $(HTML_PATH)/img
 	install -d $(HTML_PATH)/dist
 	install -d $(HTML_PATH)/beta
@@ -151,31 +151,31 @@
 # RedHat is more than fucked up. It cannot make packages in `pwd`,
 # but need to do it in /usr/src/rpm....
 	cp ../fiaif_$(VERSION).tar.gz /usr/src/rpm/SOURCES/fiaif_$(VERSION).tar.gz
-	rpm -ba --rmsource --clean fiaif.spec
+	rpmbuild -ba --rmsource --clean fiaif.spec
 	mv /usr/src/rpm/RPMS/noarch/fiaif-$(SPEC_VERSION).noarch.rpm ../fiaif_$(SPEC_VERSION).noarch.rpm
 	mv /usr/src/rpm/SRPMS/fiaif-$(SPEC_VERSION).src.rpm ../fiaif_$(SPEC_VERSION).src.rpm
 
 tar: clean VERSION fiaif.ps 
-	cd ..; find fiaif -type d -name CVS > /tmp/cvs_exclude
-	cd ..; find fiaif -type f -name .cvsignore >> /tmp/cvs_exclude
-	echo fiaif/html >> /tmp/cvs_exclude
-	echo update_changelog.sh >> /tmp/cvs_exclude
-	cd ..; tar zcf fiaif_$(VERSION).tar.gz -X /tmp/cvs_exclude fiaif/* 
+	cd ..; find fiaif -type d -name .svn > /tmp/exclude
+	cd ..; find fiaif -type f -name .cvsignore >> /tmp/exclude
+	echo fiaif/html >> /tmp/exclude
+	echo update_changelog.sh >> /tmp/exclude
+	cd ..; tar zcf fiaif_$(VERSION).tar.gz -X /tmp/exclude fiaif/* 
 	tar zxf ../fiaif_$(VERSION).tar.gz --directory debian
 	mv debian/fiaif debian/fiaif-$(VERSION)
 	cd debian; tar zcf ../../fiaif_$(VERSION).tar.gz fiaif-$(VERSION)/*
 	rm -fr debian/fiaif-$(VERSION)
-	rm -f /tmp/cvs_exclude
+	rm -f /tmp/exclude
 
 VERSION: $(CHANGELOG)
 	./update_changelog.sh
 	echo $(VERSION) > VERSION 
 
-dist: clean tar deb rpm html VERSION
-	cvs tag -F "Fiaif-$$(echo $(VERSION) | sed s/\\\./_/g)"
+dist: clean tar deb rpm VERSION
+#cvs tag -F "Fiaif-$$(echo $(VERSION) | sed s/\\\./_/g)"
 	install -m 644 ../fiaif_$(DEB_VERSION).dsc $(DIST_PATH)
 	install -m 644 ../fiaif_$(DEB_VERSION)_all.deb $(DIST_PATH)
-	install -m 644 ../fiaif_$(DEB_VERSION)_i386.changes $(DIST_PATH)
+	install -m 644 ../fiaif_$(DEB_VERSION)_*.changes $(DIST_PATH)
 	install -m 644 ../fiaif_$(SPEC_VERSION).noarch.rpm $(DIST_PATH)
 	install -m 644 ../fiaif_$(SPEC_VERSION).src.rpm $(DIST_PATH)
 	install -m 644 ../fiaif_$(VERSION).tar.gz $(DIST_PATH)

## fiaif 1.22.1

=== debian/changelog ===
fiaif (1.22.1-1) unstable; urgency=low

  * New upstream release.
    + Remove all patches that have been applied upstream.
  * Replaced cdbs with dh as build rules.
  * Updated reportbug note that gets displayed before people are sending
    bug reports.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 31 Mar 2011 13:29:49 +0200

fiaif (1.21.1-18) unstable; urgency=low

  * Dpatch is not needed anymore. Remove it and update all patches
    accordingly.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 15 Mar 2011 14:37:59 +0100

fiaif (1.21.1-17) unstable; urgency=low

  * Fix typo in description. Thanks Davide Prina (Closes: #617844)
  * Standards version 3.9.1
  * Use new Debian Source 3.0 (quilt) format.
  * Added Brazilian Portuguese debconf templates translation. Thanks to
    Adriano Rafael Gomes. (Closes: #605852)
  * Updated patch 01_enable_int_zone:
    Disable REDIRECT_PROXY per default. (Closes: #591922)
  * Updated patch 15_update_reserved_networks:
    Updated to latest list of reserved networks.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 12 Mar 2011 12:47:48 +0100

fiaif (1.21.1-16) unstable; urgency=low

  * Updated patch 16_init_lsb_headers:
    - Remove the network dependency on the init script, which has been
      added in the last upload.
      This could leave the server vulnerable after network interfaces
      are active and before fiaif started.
      Added a note about this in the patch.
      Thanks to Anders Peter Fugmann for the reminder.
  * Updated patch 18_create_var_lock_dir:
     - Add -p option to mkdir for creating /var/lock/subsys
  * Updated patch 15_update_reserved_networks:
     - Update the reserved_networks list to version 1.32

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 21 Sep 2009 21:25:08 +0200

fiaif (1.21.1-15) unstable; urgency=low

  * Fix dependencies in init.d script. Thanks Petter Reinholdtsen
    for the patch.
    (Closes: #547213)
  * Added debian/README.source
  * Use Standards version 3.8.3
  * Replace dependencies on kernel-image-* with linux-image-*
  * Do not install /var/lock/subsys directory
  * Added patch 18_create_var_lock_dir: create /var/lock/subsys
    directory on demand.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Sep 2009 22:43:58 +0200

fiaif (1.21.1-14) unstable; urgency=low

  * Acknowledge NMU (Closes: #486253, #502249, #502683)
  * Use debhelper v7
  * Use Standards version 3.8.0
  * Improved the reportbug message about confidential configuration
    data.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 22 Dec 2008 14:37:52 +0100

fiaif (1.21.1-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix spelling error in templates: s/who's/whose.
    Thanks to  Vincenzo Campanella for pointing this.
  * Fix pending l10n/debconf issues.
  * Fix typo in templates. Unfuzzy translations. Closes: #486253
    - Basque. Closes: #502249
    - Italian. Closes: #486253
    - Russian. Closes: #502683

 -- Christian Perrier <bubulle@debian.org>  Mon, 20 Oct 2008 19:51:45 +0200

fiaif (1.21.1-13) unstable; urgency=low

  * Replace dh_installoverrides with dh_lintian, introduced in debhelper
    6.0.7
  * Remove invalid byte sequences from LSB fiaif init header.
    (Closes: #469946)

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 06 Mar 2008 23:58:03 +0100

fiaif (1.21.1-12) unstable; urgency=low

  * Add LSB headers to fiaif init script. Thanks to Petter Reinholdtsen
    <pere@hungry.com> for the patch.
    (Closes: #468895)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 02 Mar 2008 16:32:37 +0100

fiaif (1.21.1-11) unstable; urgency=low

  * Update reserved_networks list to version 1.30 from 2008/17/02.
    (Closes: #466009)

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 16 Feb 2008 07:36:38 +0100

fiaif (1.21.1-10) unstable; urgency=low

  * Use modprobe -r instead of rmmod to make use of module aliases.
    The old rmmod method gave errors eg. when using the ip_nat_ftp
    module which has been renamed to nf_nat_ftp in kernels >=2.6.22.
    (Closes: #464798)
  * Fix man page errors in fiaif.conf.5, reported by lintian.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 13 Feb 2008 11:08:39 +0100

fiaif (1.21.1-9) unstable; urgency=low

  * Allow the rule array subscriptor to be an array length variable, eg:
    INPUT[${#INPUT[@]}]="blah blah blah"
    .
    This way the entry can be commented out without reshuffling indexes.
    Thanks to Rob Dawson for the patch.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 14 Jan 2008 10:25:33 +0100

fiaif (1.21.1-8) unstable; urgency=low

  * Use Standards Version 3.7.3 (no changes)
  * Use presubj for reportbug message, not a script (Closes: #456905)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 18 Dec 2007 17:09:53 +0100

fiaif (1.21.1-7) unstable; urgency=low

  * Move Homepage into control field.
  * Don't silently ignore download errors in fiaif-update script.
  * Correct typo in voip zone configuration, thanks to Laurent CARON for
    spotting this. (Closes: #450799)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 24 Sep 2007 19:59:51 +0200

fiaif (1.21.1-6) unstable; urgency=low

  * Added portugese translation of debconf messages; thanks Miguel
    Figueiredo (Closes: #437282)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 20 Aug 2007 20:57:42 +0200

fiaif (1.21.1-5) unstable; urgency=high

  * Add texlive-fonts-recommended to the build depends, fixing FTBFS.
    (Closes: #425089)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 20 May 2007 23:12:11 +0200

fiaif (1.21.1-4) unstable; urgency=low

  * Add missing build-depends, fixing FTBFS error (Closes: #421919).

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 02 May 2007 19:50:18 +0200

fiaif (1.21.1-3) unstable; urgency=low

  * Added spanish debconf template translation, from Manuel Porras
    Peralta (Closes: #414219)
  * New patch 08_use_fancyhdr: replace the old fancyheadings TeX package
    with fancyhdr. Fixes the FTBFS with new texlive packages.


=== debian/control ===
Source: fiaif
Section: net
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: dia, texlive-latex-recommended, texlive-latex-extra,
 texlive-fonts-recommended
Standards-Version: 3.9.1
Homepage: http://www.fiaif.net/
Vcs-Svn: https://svn.fugmann.net/fiaif/trunk/

Package: fiaif
Architecture: all
Depends: iptables (>= 1.2.6a), bash (>= 2.04), sed (>= 3.02),
 grep (>= 2.4.2), coreutils (>= 4.5.1), net-tools,
 debconf (>= 1.0.32) | debconf-2.0, debianutils (>= 1.16),
 dnsutils | djbdns, cron | anacron, logtail, wget, ${misc:Depends}
Suggests: iproute, ulogd, linux-image-2.6 | linux-image-2.4
Conflicts: ipmasq, knetfilter, firewall-easy, shorewall
Description: An easy to use, yet complex firewall
 Fiaif is an Intelligent Firewall.
 .
 The Goal of FIAIF is to provide a highly customizable script for
 setting up an iptables based firewall.
 .
 Unlike many other scripts, FIAIF can be truly customized allowing
 multiple interfaces (or rather zones). There is no limit on the number
 of zones. All configuration is done through configuration files.
 No need to understand the script behind it all.
 .
 The script makes heavy use of state-full firewalling,
 and all RELATED and ESTABLISHED packets are accepted on all chains.
 If you wish to block something out, don't accept it in the first place.
 .
 The script is written in BASH. Though this is not the optimal
 program to use, it means that you do not need to install extra
 interpreters on your firewall.
 This allows you to have a minimalistic installation on your firewall.
 .
 Install this package if your machine is ever on the internet.

=== debian/rules ===
#!/usr/bin/make -f

BASE:=$(CURDIR)/debian/fiaif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) fiaif.ps

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(BASE)
	$(MAKE) install-config DESTDIR=$(BASE)
# remove fiaif-update cron job
	rm -rf $(BASE)/etc/cron.daily/
# install reportbug info
	install -m 0644 debian/reportbug.presubj $(BASE)/usr/share/bug/fiaif/presubj
# remove /var/lock directory; it gets created automatically
	rm -r $(BASE)/var/lock/subsys

## fiaif 1.23.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # Makefile for FIAIF 
-# Version: $Id: Makefile,v 1.128 2004/02/25 22:57:43 afu Exp $
-#
-# Copyright (C) 2002 Anders Peter Fugmann <anders at fugmann dot dhs dot org>
+#
+# Copyright (C) 2002-2011 Anders Peter Fugmann <anders at fugmann dot net>
 # This package comes with ABSOLUTELY NO WARRANTY
 # Use strictly at your own risk.
 #
@@ -53,11 +52,11 @@
 
 VERSION:=$(shell head -n1 changelog | cut -d" " -f 3)
 DEB_VERSION:=$(shell VER=$$(head -n1 debian/changelog | sed "s/.*(\(.*\)).*/\1/g"); \
-	            if [[ $$VER == $(VERSION)* ]]; then echo $$VER; \
-                    else echo $(VERSION)-1; fi)
+	            if test "$$VER" = "$(VERSION)*"; then echo $$VER; \
+                    else echo $(VERSION)-0.1; fi)
 SPEC_VERSION:=$(shell VER=$$(grep "Version" fiaif.spec | cut -f 2); \
 		     REL=$$(grep "Release" fiaif.spec | cut -f 2); \
-	            if [[ $$VER == "$(VERSION)" ]]; then echo "$$VER-$$REL"; \
+	            if test "$$VER" = "$(VERSION)"; then echo "$$VER-$$REL"; \
                     else echo "$(VERSION)-0.1"; fi)
 
 .PHONY: install uninstall install-config install-initd \
@@ -119,7 +118,6 @@
 	$(RM) $(DESTDIR)/etc/rc?.d/S$(LEVEL)$(INIT_FILE)
 
 html: fiaif.ps
-#cvs update -d -P
 	install -d $(HTML_PATH)/img
 	install -d $(HTML_PATH)/dist
 	install -d $(HTML_PATH)/beta
@@ -144,16 +142,14 @@
 	cp doc/fiaif/fiaif.ps . 
 
 deb: VERSION 
-	fakeroot dpkg-buildpackage
+	fakeroot dpkg-buildpackage -us -uc || true
 	rm -fr debian/fiaif
 
 rpm: tar VERSION
-# RedHat is more than fucked up. It cannot make packages in `pwd`,
-# but need to do it in /usr/src/rpm....
-	cp ../fiaif_$(VERSION).tar.gz /usr/src/rpm/SOURCES/fiaif_$(VERSION).tar.gz
+	cp ../fiaif_$(VERSION).tar.gz ~/rpmbuild/SOURCES/
 	rpmbuild -ba --rmsource --clean fiaif.spec
-	mv /usr/src/rpm/RPMS/noarch/fiaif-$(SPEC_VERSION).noarch.rpm ../fiaif_$(SPEC_VERSION).noarch.rpm
-	mv /usr/src/rpm/SRPMS/fiaif-$(SPEC_VERSION).src.rpm ../fiaif_$(SPEC_VERSION).src.rpm
+	mv ~/rpmbuild/RPMS/noarch/fiaif-$(SPEC_VERSION).noarch.rpm ../fiaif_$(SPEC_VERSION).noarch.rpm
+	mv ~/rpmbuild/SRPMS/fiaif-$(SPEC_VERSION).src.rpm ../fiaif_$(SPEC_VERSION).src.rpm
 
 tar: clean VERSION fiaif.ps 
 	cd ..; find fiaif -type d -name .svn > /tmp/exclude
@@ -172,7 +168,6 @@
 	echo $(VERSION) > VERSION 
 
 dist: clean tar deb rpm VERSION
-#cvs tag -F "Fiaif-$$(echo $(VERSION) | sed s/\\\./_/g)"
 	install -m 644 ../fiaif_$(DEB_VERSION).dsc $(DIST_PATH)
 	install -m 644 ../fiaif_$(DEB_VERSION)_all.deb $(DIST_PATH)
 	install -m 644 ../fiaif_$(DEB_VERSION)_*.changes $(DIST_PATH)
@@ -218,7 +213,6 @@
 	$(RM) -r debian/fiaif 
 	$(RM) -r debian/fiaif_$(VERSION)
 	$(RM) debian/*debhelper debian/files debian/*substvars 
-	$(RM) /usr/src/rpm/SOURCES/* /usr/src/rpm/RPMS/noarch/*
 	$(RM) fiaif.ps
 	$(RM) VERSION
 	$(RM) build-stamp

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #*****************************************************************************
 # Contains              :  Makefile for CVS documentation
 # Requires              :  none     
-# Source		:  $Source: /var/lib/cvs/fiaif/fiaif/doc/Makefile,v $
+# Source		:  $Source: /home/cvsd/var/lib/cvs/fiaif/fiaif/doc/Makefile,v $
 # Revision              :  $Revision: 1.1 $
 # Author                :  $Author: afu $
 #*****************************************************************************

=== doc/fiaif/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile to latex files                                   #
 # Thanks to http://www.light.utoronto.ca/stok/linux.html    #
 #                                                           #
-# $Source: /var/lib/cvs/fiaif/fiaif/doc/fiaif/Makefile,v $  #
+# $Source: /home/cvsd/var/lib/cvs/fiaif/fiaif/doc/fiaif/Makefile,v $  #
 # $Revision: 1.12 $                                          #
 # $Author: afu $                                            #
 #############################################################

=== debian/changelog ===
fiaif (1.23.1-4) unstable; urgency=low

  * Suggest iproute2. (Closes: #753729)
  * Remove useless suggestion on linux-image. (Closes: #724562)
  * Added japanese template translations. (Closes: #718758)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 07 Jul 2014 20:04:20 +0200

fiaif (1.23.1-3) unstable; urgency=low

  * Move script used in postinst to /usr/share/fiaif (Closes: #710358)

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 26 Jun 2013 08:46:13 +0200

fiaif (1.23.1-2) unstable; urgency=low

  * Fix manpage spelling errors.
  * Remove unused lintian override script-not-executable.
  * Use set -e in maintainer scripts.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 14 Feb 2013 21:42:49 +0100

fiaif (1.23.1-1) unstable; urgency=low

  * New upstream release.
  * Use Standards version 3.9.4
  * Refreshed debian patches.
  * Added patches:
    - 008-allow-old-tc-conf
      allow the old traffic shaping statements in configuration files.
      This way old config files are still valid, but the traffic shaping
      values are ignored.
    - 009-fiaif-test-usage-doc
      Document /etc/init.d/fiaif test in usage string.
    - 010-remove-syntax-awk-hashbang
      Fix lintian warning about non-executable script with a hashbang.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 21 Jan 2013 11:20:09 +0100

fiaif (1.22.1-2) unstable; urgency=low

  * Added several fixes for iptables >= 1.4.11 from Nikolay A. Fetisov.
    (Closes: #630543)
  * Use Standards version 3.9.3
  * Use debhelper compatibility level 9

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 09 Nov 2012 21:38:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Section: net
 Priority: optional
 Maintainer: Bastian Kleineidam <calvin@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dia, texlive-latex-recommended, texlive-latex-extra,
  texlive-fonts-recommended
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: http://www.fiaif.net/
-Vcs-Svn: https://svn.fugmann.net/fiaif/trunk/
 
 Package: fiaif
 Architecture: all
-Depends: iptables (>= 1.2.6a), bash (>= 2.04), sed (>= 3.02),
+Depends: iptables (>= 1.4.11), bash (>= 2.04), sed (>= 3.02),
  grep (>= 2.4.2), coreutils (>= 4.5.1), net-tools,
  debconf (>= 1.0.32) | debconf-2.0, debianutils (>= 1.16),
  dnsutils | djbdns, cron | anacron, logtail, wget, ${misc:Depends}
-Suggests: iproute, ulogd, linux-image-2.6 | linux-image-2.4
+Suggests: iproute2, ulogd
 Conflicts: ipmasq, knetfilter, firewall-easy, shorewall
-Description: An easy to use, yet complex firewall
+Description: easy to use, yet complex firewall
  Fiaif is an Intelligent Firewall.
  .
  The Goal of FIAIF is to provide a highly customizable script for

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,13 @@
 	$(MAKE) install-config DESTDIR=$(BASE)
 # remove fiaif-update cron job
 	rm -rf $(BASE)/etc/cron.daily/
+# install fiaif-scan cron script; will be copied to etc/cron.daily with debconf question
+	install -m 0644 debian/fiaif-scan $(BASE)/usr/share/fiaif
 # install reportbug info
 	install -m 0644 debian/reportbug.presubj $(BASE)/usr/share/bug/fiaif/presubj
 # remove /var/lock directory; it gets created automatically
 	rm -r $(BASE)/var/lock/subsys
 
+# use xz for debian binary package compression
+override_dh_builddeb:
+	dh_builddeb -- -Zxz

=== debian/watch ===
# watch control file for uscan
version=3
http://www.fiaif.net/dist/fiaif_(.*).tar.gz debian uupdate
